### Function

# Cogl DebugObjectForeachTypeCallback

since: 13

#### Declaration

    void
    (* CoglDebugObjectForeachTypeCallback) (
      const CoglDebugObjectTypeInfo* info,
      void* user_data
    )

#### Description [src]

A callback function to use for cogl_debug_object_foreach_type().

Available since: 13

#### Parameters

`info`

  Type: `CoglDebugObjectTypeInfo`

  A pointer to a struct containing information about the type.

  The data is owned by the caller of the function.

`user_data`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.